Skip to main content

Creates a databricks subclient​

This API is used to create Databricks subclient

Request Body
  • subClientProperties object
  • fsContentOperationType string

    Possible value : OVERWRITE

  • subClientEntity object
  • clientId integer required

    Databricks Client ID

  • applicationId integer required

    Databricks application ID

  • subclientName string required

    Name of the subclient to be created

  • instanceId integer required

    Databricks instance ID

  • backupsetId integer required

    Databricks backupset ID

  • planEntity object
  • id integer required

    ID of the plan to be associated

  • content object[]
  • path string required

    Content to be associated

  • useLocalContent boolean
  • dfsSubclientProp object
  • distributedDataAccessNodes object
  • dataAccessNodes object[]
  • clientName string required

    Name of the access node

  • _type_ integer

    type : 3 for access nodes

  • clientId integer

    ID of the access node

  • dataAccessNodeGroups object[]
  • _type_ integer

    type : 28 for access node groups

  • clientGroupId integer

    ID of the access node group

  • clientGroupName string required

    Name of the access node group

Responses

OK


Schema
  • processinginstructioninfo object
  • attributes object[]
  • name string
  • value string
  • response object
  • warningCode integer
  • errorCode integer
  • warningMessage string
  • entity object
  • subclientId integer
  • _SubclType_ integer
  • _type_ integer
Loading...